import React from 'react';

interface TableContent {
    columns: Array<{
        field: string;
        header: string;
    }>;
    data: Array<Record<string, unknown>>;
}

interface TableModalProps {
    content: TableContent;
}

declare const TableModal: React.FC<TableModalProps>;

export default TableModal; 